%define 	module	TwistedMail
%define		major	8.1
%define		minor	0

Summary:	Mail library for Twisted
Summary(pl.UTF-8):	Biblioteka Mail dla Twisted
Name:		python-%{module}
Version:	%{major}.%{minor}
Release:	4
License:	MIT
Group:		Libraries/Python
Source0:	http://tmrc.mit.edu/mirror/twisted/Mail/%{major}/%{module}-%{version}.tar.bz2
# Source0-md5:	b471434356da5cdfb04dbe38802425ef
URL:		http://twistedmatrix.com/trac/wiki/TwistedMail
BuildRequires:	python-devel >= 2.2
Requires:	python-TwistedCore
Obsoletes:	python-Twisted-mail
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mail library for Twisted.

%description -l pl.UTF-8
Biblioteka Mail dla Twisted.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

install -d $RPM_BUILD_ROOT%{py_sitedir}
mv -f $RPM_BUILD_ROOT%{py_sitescriptdir}/* $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%attr(755,root,root) %{_bindir}/mailmail
%{py_sitedir}/*.egg-info
%{py_sitedir}/twisted/mail
%{py_sitedir}/twisted/plugins/twisted_mail.py*
%changelog
* Mon May 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-TwistedMail.git;a=log;h=master

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> 54b7885
- x32 rebuild
- release 4 (by relup.sh)

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f02d1e
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e46c3c9
- release 2

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> 649ca37
- R: TwistedCore not obsoleted Twisted
- release 1

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> 4bf2677
- updated to 8.1.0

* Fri May 02 2008 luzik <luzik@pld-linux.org> 95c2f92
- updated to 8.0.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6bdab8f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 25a13a6
- converted to UTF-8

* Sat Jun 03 2006 Jakub Bogusz <qboosh@pld-linux.org> a33831f
- Obsoletes: python-Twisted-mail

* Thu Dec 15 2005 Jakub Bogusz <qboosh@pld-linux.org> 15cb8d9
- simple desc, files cleanup

* Sun Dec 11 2005 adasi <adasi@pld-linux.org> 35889cb
- initial, desc missing

